<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerFormulas](./bitburner.bladeburnerformulas.md) &gt; [skillMaxUpgradeCount](./bitburner.bladeburnerformulas.skillmaxupgradecount.md)

## BladeburnerFormulas.skillMaxUpgradeCount() method

Calculate the number of times that you can upgrade a skill.

**Signature:**

```typescript
skillMaxUpgradeCount(name: BladeburnerSkillName, level: number, skillPoints: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

name


</td><td>

[BladeburnerSkillName](./bitburner.bladeburnerskillname.md)


</td><td>

Skill name. It's case-sensitive and must be an exact match.


</td></tr>
<tr><td>

level


</td><td>

number


</td><td>

Skill level. It must be a non-negative number.


</td></tr>
<tr><td>

skillPoints


</td><td>

number


</td><td>

Number of skill points to upgrade the skill. It must be a non-negative number.


</td></tr>
</tbody></table>

**Returns:**

number

Number of times that you can upgrade the skill.

